{% extends 'core/base.html' %}

{% load static %}
{% load crispy_forms_tags %}

{% block navegador %}
<div class="container container--flex">
    <span class="icon-menu" id="btnmenu"></span>
    <ul class="menu" id="menu">
        <li class="menu__item"><a href="{% url 'home' %}" class="menu__link">Inicio</a></li>
        <li class="menu__item"><a href="{% url 'nosotros' %}" class="menu__link">Nosotros</a></li>
        <li class="menu__item"><a href="{% url 'registrar' %}" class="menu__link menu__link--select">Registrar Mascota</a></li>
        <li class="menu__item"><a href="{% url 'galeria' %}" class="menu__link">Mascotas Encontradas</a></li>
        <li class="menu__item"><a href="{% url 'perdidas' %}" class="menu__link">Mascotas Perdidas</a></li>
        {% if user.is_authenticated %}
        {% if user.username == "admin" %}
        <li class="menu__item"><a href="{% url 'listado' %}" class="menu__link">Listado Mascotas</a></li>
        {% endif %}
        <li class="menu__item"><a href="#" class="menu__link">Usuario: {{ user.username}}</a></li>
        <li class="menu__item">
            <a href="{% url 'logout' %}" class="menu__link menu__link--select">Cerrar sesión</a>
        </li>
        {% else %}
        <li class="menu__item">
            <a href="{% url 'login' %}" class="menu__link">Iniciar sesión</a>
        </li>
        <li class="menu__item">
            <a href="{% url 'registro_usuario' %}" class="menu__link">Registrar</a>
        </li>
        {% endif %}
    </ul>
    <!--div class="social-icon"><a href="" class="social-icon__link"><span class="icon-facebook"></span></a><a href="" class="social-icon__link"><span class="icon-email"></span></a></div-->
</div>
{% endblock %}

{% block banner %}
<section class="banner">
    <img src="{% static 'core/img/registro.jpg'%}" alt="" class="banner__img">
    <div class="banner__content">Modificar Mascota</div>
</section>
{% endblock %}

{% block javascript %}
<script src="{% static 'core/js/menu.js'%}"></script>
{% endblock %}

{% block contenido %}



<section class="group main__about__description">
        <div class="container container--flex">
            <form action=""  method="POST" enctype="multipart/form-data">
                {% csrf_token %}
                
                    {{ form | crispy}}
                
                <input type="reset" value="Limpiar">
                <input type="submit" value="Modificar">
                {{ mensaje }}
            </form>

            
        </div>
    </section>

{% endblock %}